#include "grafTransitionManager.h"

grafTransitionManager::grafTransitionManager()
{
    mode = TRANS_AVG;
}

grafTransitionManager::~grafTransitionManager()
{
    //dtor
}

void grafTransitionManager::update( grafTag * tag )
{
    switch( mode )
    {
        case TRANS_AVG:
            T_AVG.averagePoints(tag,.25f);
            break;
        default:
            break;
    }

}

void grafTransitionManager::updateVizVecField( grafParticleVecField * VIZ_VF )
{
    switch( mode )
    {
        case TRANS_AVG:
            //VIZ_VF->
            break;
    }
}

bool grafTransitionManager::isTransitionDone()\
{
    return false;
}
